# $Revision: 1.13 $, $Date: 2002/09/11 09:49:28 $

%include        /usr/lib/rpm/macros.python

Summary:	backup software
Summary(pl):	Oprogramowanie do robienia kopii zapasowej
Name:		rdiff-backup
Version:	0.10.0
Release:	1
License:	GPL
Group:		Networking/Utilities
Source0:	http://www.stanford.edu/~bescoto/rdiff-backup/%{name}-%{version}.tar.gz
URL:		http://www.stanford.edu/~bescoto/rdiff-backup/
BuildRequires:  librsync-devel
BuildRequires:  python-devel >= 2.2.1
BuildRequires:  rpm-pythonprov
Requires:	python >= 2.2
Requires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rdiff-backup is a script, written in Python, that backs up one
directory to another and is intended to be run periodically (nightly
from cron for instance). The target directory ends up a copy of the
source directory, but extra reverse diffs are stored in the target
directory, so you can still recover files lost some time ago. The idea
is to combine the best features of a mirror and an incremental
backup. rdiff-backup can also operate in a bandwidth efficient manner
over a pipe, like rsync. Thus you can use rdiff-backup and ssh to
securely back a hard drive up to a remote location, and only the
differences from the previous backup will be transmitted.

%description -l pl
Mirrorowanie plikw przy przechowywaniu przyrostowych zmian.

%prep
%setup -q

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --optimize=2 --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README FAQ.html
%attr(755,root,root) %{_bindir}/rdiff-backup
%{_mandir}/man1/rdiff-backup.1*
%dir %{py_sitedir}/rdiff_backup
%{py_sitedir}/rdiff_backup/*.py[co]
%{py_sitedir}/rdiff_backup/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: rdiff-backup.spec,v $
Revision 1.13  2002/09/11 09:49:28  areq
- 0.10.0, STBR

Revision 1.12  2002/08/10 11:52:46  areq
- 0.9.5, STBR  ****** IMPORTANT ****** Fixed serious permissions bug

Revision 1.11  2002/07/25 07:41:14  areq
- 0.9.4, STBR (few bugfixes)

Revision 1.10  2002/07/17 09:42:03  areq
- up to 0.9.3, fast and powerful
- update description
- STBR

Revision 1.9  2002/07/12 20:36:17  areq
- 0.8.0, STBR
- new %doc

Revision 1.8  2002/05/15 11:15:04  areq
- 0.7.4
- add	Requires:       librsync
- add	Requires:       python-modules

Revision 1.7  2002/02/23 04:32:21  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:14:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/13 10:28:17  qboosh
- adapterized, pl description, cosmetics

Revision 1.3  2001/10/18 11:06:50  pascalek
s/Python/python

Revision 1.2  2001/10/17 13:45:12  grzegorz
- don't compress FAQ.html

Revision 1.1  2001/10/17 12:45:35  pascalek
- initial revision
